## mx4j.tools.adaptor.interceptor
Class AdaptorInterceptorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              mx4j.tools.adaptor.interceptor.AdaptorInterceptorException

All Implemented Interfaces:
  java.io.Serializable

public class AdaptorInterceptorException
extends java.lang.Exception

This exception is only used internally by the `AdaptorInterceptor` class, to avoid that interceptors do too much exception logging.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`AdaptorInterceptorException(java.lang.Exception target)`

Method Summary
`java.lang.Exception` `getTargetException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdaptorInterceptorException

    public AdaptorInterceptorException(java.lang.Exception target)

Method Detail

### getTargetException

    public java.lang.Exception getTargetException()

Copyright © 2001-2003 MX4J Team. All Rights Reserved.